cc.funkemunky.api.tinyprotocol.packet.types

## Enum EnumDirection.EnumAxis

- java.lang.Object
- - java.lang.Enum<EnumDirection.EnumAxis>
  - - cc.funkemunky.api.tinyprotocol.packet.types.EnumDirection.EnumAxis

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<EnumDirection.EnumAxis>

Enclosing class:
  EnumDirection

    public static enum EnumDirection.EnumAxis
    extends java.lang.Enum<EnumDirection.EnumAxis>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`X`
`Y`
`Z`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `a()`
`boolean` `a(EnumDirection var1)`
`boolean` `b()`
`boolean` `c()`
`EnumDirection.EnumDirectionLimit` `d()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`
`static EnumDirection.EnumAxis` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static EnumDirection.EnumAxis[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### X

    public static final EnumDirection.EnumAxis X

#### Y

    public static final EnumDirection.EnumAxis Y

#### Z

    public static final EnumDirection.EnumAxis Z

### Method Detail

#### values

    public static EnumDirection.EnumAxis[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnumDirection.EnumAxis c : EnumDirection.EnumAxis.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnumDirection.EnumAxis valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### a

    public java.lang.String a()

#### b

    public boolean b()

#### c

    public boolean c()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Enum<EnumDirection.EnumAxis>`

#### a

    public boolean a(EnumDirection var1)

#### d

    public EnumDirection.EnumDirectionLimit d()

#### getName

    public java.lang.String getName()